Subject: Re: [RFC PATCH 0/5] Reorganize libfcoe control interfaces

From: "Love, Robert W" <[email-masked]>
Date: Tue, 11 Sep 2012 17:43:07 +0000

On Tue 11 Sep 2012 10:12:09 AM PDT, Chris Leech wrote:
> On Mon, Sep 10, 2012 at 5:05 PM, Bhanu Prakash Gollapudi
> <[email-masked]> wrote:
>>
>> I'm concerned that we will be breaking user space compatibility with this
>> change, as there should be a corresponding fcoemon/fipvlan change along with
>> this, and existing utilities will not work.  Also the way we start fcoe will
>> be completely different and the user may need to do the scripting changes,
>> if any.
>>
>
> I agree with Bhanu on these concerns, even though I hope everyone's
> using fcoeadm/fcoemon/fipvlan.  I think there needs to be more of a
> transition plan than requiring everyone moving to a new kernel to
> update the user-space tools at the same time.  Removing the module
> parameters with the last patch might be rushed, they should probably
> remain for a few kernel cycles with a warning.  When the tools are
> updated for the new interface, they should probably maintain fallback
> support for the module parameters for a while as well.
>

Deprecating the old interfaces instead of immediately removing them 
sounds like a good idea to me.

I hope everyone is using fcoeadm/fcoemon/fipvlan too. We do still carry 
the 'fcc.sh' script in fcoe-utils.git/contrib/. I don't use it, but I 
know others do. I did not update 'fcc.sh' with my user space change.

I'll post the fcoemon changes to [email-masked]. I think I have a 
bunch of cleanup patches that the change depends on, so the series will 
probably be half cleanup and half feature.

 Thanks, //Rob